org.wildfly.swarm.config.remoting

## Class RemoteOutboundConnection<T extends RemoteOutboundConnection<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.remoting.RemoteOutboundConnection<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class RemoteOutboundConnection<T extends RemoteOutboundConnection<T>>
      extends HashMap

  Remoting outbound connection with an implicit remote:// URI scheme.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RemoteOutboundConnection.Protocol`
    `static class` | `RemoteOutboundConnection.RemoteOutboundConnectionResources` Child mutators for RemoteOutboundConnection

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteOutboundConnection(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `outboundSocketBindingRef()` Name of the outbound-socket-binding which will be used to determine the destination address and port for the connection.
    `T` | `outboundSocketBindingRef(String value)` Name of the outbound-socket-binding which will be used to determine the destination address and port for the connection.
    `T` | `properties(List<Property> value)` Add all Property objects to this subresource
    `T` | `property(Property value)` Add the Property object to the list of subresources
    `T` | `property(PropertySupplier supplier)` Install a supplied Property object to the list of subresources
    `T` | `property(String childKey)` Create and configure a Property object to the list of subresources
    `T` | `property(String childKey, PropertyConsumer consumer)` Create and configure a Property object to the list of subresources
    `RemoteOutboundConnection.Protocol` | `protocol()` The protocol to use for the remote connection.
    `T` | `protocol(RemoteOutboundConnection.Protocol value)` The protocol to use for the remote connection.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `securityRealm()` Reference to the security realm to use to obtain the password and SSL configuration.
    `T` | `securityRealm(String value)` Reference to the security realm to use to obtain the password and SSL configuration.
    `RemoteOutboundConnection.RemoteOutboundConnectionResources` | `subresources()`
    `String` | `username()` The user name to use when authenticating against the remote server.
    `T` | `username(String value)` The user name to use when authenticating against the remote server.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### RemoteOutboundConnection

          public RemoteOutboundConnection(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public RemoteOutboundConnection.RemoteOutboundConnectionResources subresources()

    - #### properties

          public T properties(List<Property> value)

      Add all Property objects to this subresource
      Parameters:
        `value` - List of Property objects.
      Returns:
        this

    - #### property

          public T property(Property value)

      Add the Property object to the list of subresources
      Parameters:
        `value` - The Property to add
      Returns:
        this

    - #### property

          public T property(String childKey,
                            PropertyConsumer consumer)

      Create and configure a Property object to the list of subresources
      Parameters:
        `key` - The key for the Property resource
        `config` - The PropertyConsumer to use
      Returns:
        this

    - #### property

          public T property(String childKey)

      Create and configure a Property object to the list of subresources
      Parameters:
        `key` - The key for the Property resource
      Returns:
        this

    - #### property

          public T property(PropertySupplier supplier)

      Install a supplied Property object to the list of subresources

    - #### outboundSocketBindingRef

          public String outboundSocketBindingRef()

      Name of the outbound-socket-binding which will be used to determine the destination address and port for the connection.

    - #### outboundSocketBindingRef

          public T outboundSocketBindingRef(String value)

      Name of the outbound-socket-binding which will be used to determine the destination address and port for the connection.

    - #### protocol

          public RemoteOutboundConnection.Protocol protocol()

      The protocol to use for the remote connection. Defaults to http-remoting.

    - #### protocol

          public T protocol(RemoteOutboundConnection.Protocol value)

      The protocol to use for the remote connection. Defaults to http-remoting.

    - #### securityRealm

          public String securityRealm()

      Reference to the security realm to use to obtain the password and SSL configuration.

    - #### securityRealm

          public T securityRealm(String value)

      Reference to the security realm to use to obtain the password and SSL configuration.

    - #### username

          public String username()

      The user name to use when authenticating against the remote server.

    - #### username

          public T username(String value)

      The user name to use when authenticating against the remote server.

Copyright © 2017 JBoss by Red Hat. All rights reserved.